Podatność CVE-2015-2282


Publikacja: 2015-06-02

Opis:
Stack-based buffer overflow in the LZC decompression implementation (CsObjectInt::CsDecomprLZC function in vpa106cslzc.cpp) in SAP MaxDB 7.5 and 7.6, Netweaver Application Server ABAP, Netweaver Application Server Java, Netweaver RFC SDK, GUI, RFC SDK, SAPCAR archive tool, and other products allows context-dependent attackers to cause a denial of service (crash) or possibly execute arbitrary code via unspecified vectors, aka SAP Security Note 2124806, 2121661, 2127995, and 2125316.

W naszej bazie, znaleźliśmy następujące noty dla tego CVE:
Tytuł
Autor
Data
Med.
SAP ERPScan XXE Injection / XSS / Missing Authorization
Darya Maenkova
23.05.2015

Typ:

CWE-119

(Improper Restriction of Operations within the Bounds of a Memory Buffer)

CVSS2 => (AV:N/AC:L/Au:N/C:P/I:P/A:P)

Ogólna skala CVSS
Znaczenie
Łatwość wykorzystania
7.5/10
6.4/10
10/10
Wymagany dostęp
Złożoność ataku
Autoryzacja
Zdalny
Niska
Nie wymagana
Wpływ na poufność
Wpływ na integralność
Wpływ na dostępność
Częściowy
Częściowy
Częściowy
Affected software
SAP -> GUI 
SAP -> Maxdb 
SAP -> Netweaver abap application server 
SAP -> Netweaver java application server 
SAP -> Netweaver rfc sdk 
SAP -> Rfc library 

 Referencje:
http://packetstormsecurity.com/files/131883/SAP-LZC-LZH-Compression-Denial-Of-Service.html
http://seclists.org/fulldisclosure/2015/May/50
http://seclists.org/fulldisclosure/2015/May/96
http://www.coresecurity.com/advisories/sap-lzc-lzh-compression-multiple-vulnerabilities
http://www.securityfocus.com/archive/1/535535/100/0/threaded
http://www.securityfocus.com/bid/74643

Copyright 2022, cxsecurity.com

 

Back to Top